Index: roundup/cgi/client.py
===================================================================
RCS file: /cvsroot/roundup/roundup/roundup/cgi/client.py,v
retrieving revision 1.142
diff -u -r1.142 client.py
--- roundup/cgi/client.py	22 Oct 2003 16:47:55 -0000	1.142
+++ roundup/cgi/client.py	23 Oct 2003 12:50:26 -0000
@@ -970,7 +970,8 @@
                     'user'):
                 return 0
             # if the item being edited is the current user, we're ok
-            if self.nodeid == self.userid:
+            if (self.nodeid == self.userid
+                and self.db.user.get(self.nodeid, 'username') != 'anonymous'):
                 return 1
         if self.db.security.hasPermission('Edit', self.userid, self.classname):
             return 1
Index: roundup/cgi/templating.py
===================================================================
RCS file: /cvsroot/roundup/roundup/roundup/cgi/templating.py,v
retrieving revision 1.111
diff -u -r1.111 templating.py
--- roundup/cgi/templating.py	20 Oct 2003 20:31:40 -0000	1.111
+++ roundup/cgi/templating.py	23 Oct 2003 12:50:26 -0000
@@ -807,14 +807,16 @@
             Also check whether this is the current user's info.
         '''
         return self._db.security.hasPermission('Edit', self._client.userid,
-            self._classname) or self._nodeid == self._client.userid
+            self._classname) or (self._nodeid == self._client.userid and
+            self._db.user.get(self._client.userid, 'username') != 'anonymous')
 
     def is_view_ok(self):
         ''' Is the user allowed to View the current class?
             Also check whether this is the current user's info.
         '''
         return self._db.security.hasPermission('Edit', self._client.userid,
-            self._classname) or self._nodeid == self._client.userid
+            self._classname) or (self._nodeid == self._client.userid and
+            self._db.user.get(self._client.userid, 'username') != 'anonymous')
 
 class HTMLProperty:
     ''' String, Number, Date, Interval HTMLProperty

 	  	 
